## org.eclipse.emf.edit.ui.celleditor
Class FeatureEditorDialog

    java.lang.Object
      org.eclipse.jface.window.Window
          org.eclipse.jface.dialogs.Dialog
              org.eclipse.emf.edit.ui.celleditor.FeatureEditorDialog

All Implemented Interfaces:
  IShellProvider

    public class FeatureEditorDialog

extends Dialog

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jface.window.Window
`Window.IExceptionHandler`

Field Summary
`protected java.util.List<?>` `choiceOfValues`
`protected IContentProvider` `contentProvider`
`protected java.lang.String` `displayName`
`protected EClassifier` `eClassifier`
`protected ILabelProvider` `labelProvider`
`protected boolean` `multiLine`
`protected java.lang.Object` `object`
`protected EList<?>` `result`
`protected ItemProvider` `values`

Fields inherited from class org.eclipse.jface.dialogs.Dialog
`blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, dialogArea, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

Fields inherited from class org.eclipse.jface.window.Window
`CANCEL, OK`

Constructor Summary
`FeatureEditorDialog(Shell parent, ILabelProvider labelProvider, EObject eObject, EStructuralFeature eStructuralFeature, java.lang.String displayName, java.util.List<?> choiceOfValues)`
`FeatureEditorDialog(Shell parent, ILabelProvider labelProvider, java.lang.Object object, EClassifier eClassifier, java.util.List<?> currentValues, java.lang.String displayName, java.util.List<?> choiceOfValues)`
`FeatureEditorDialog(Shell parent, ILabelProvider labelProvider, java.lang.Object object, EClassifier eClassifier, java.util.List<?> currentValues, java.lang.String displayName, java.util.List<?> choiceOfValues, boolean multiLine, boolean sortChoices)`

Method Summary
`boolean` `close()`
`protected void` `configureShell(Shell shell)`
`protected Control` `createDialogArea(Composite parent)`
`EList<?>` `getResult()`
`protected void` `okPressed()`

Methods inherited from class org.eclipse.jface.dialogs.Dialog

`applyDialogFont, buttonPressed, cancelPressed, convertHeightInCharsToPixels, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, convertWidthInCharsToPixels, create, createButton, createButtonBar, createButtonsForButtonBar, createContents, dialogFontIsDefault, getBlockedHandler, getButton, getButtonBar, getCancelButton, getDialogArea, getDialogBoundsSettings, getDialogBoundsStrategy, getImage, getInitialLocation, getInitialSize, getOKButton, initializeBounds, initializeDialogUnits, isResizable, setBlockedHandler, setButtonLayoutData, setButtonLayoutFormData, shortenText`

Methods inherited from class org.eclipse.jface.window.Window

`canHandleShellCloseEvent, constrainShellSize, createShell, getConstrainedShellBounds, getContents, getDefaultImage, getDefaultImages, getDefaultOrientation, getLayout, getParentShell, getReturnCode, getShell, getShellListener, getShellStyle, getWindowManager, handleFontChange, handleShellCloseEvent, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setParentShell, setReturnCode, setShellStyle, setWindowManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### labelProvider

    protected ILabelProvider labelProvider

### contentProvider

    protected IContentProvider contentProvider

### object

    protected java.lang.Object object

### eClassifier

    protected EClassifier eClassifier

### displayName

    protected java.lang.String displayName

### values

    protected ItemProvider values

### choiceOfValues

    protected java.util.List<?> choiceOfValues

### result

    protected EList<?> result

### multiLine

    protected boolean multiLine

Constructor Detail

### FeatureEditorDialog

    public FeatureEditorDialog(Shell parent,
                               ILabelProvider labelProvider,
                               java.lang.Object object,
                               EClassifier eClassifier,
                               java.util.List<?> currentValues,
                               java.lang.String displayName,
                               java.util.List<?> choiceOfValues,
                               boolean multiLine,
                               boolean sortChoices)

### FeatureEditorDialog

    public FeatureEditorDialog(Shell parent,
                               ILabelProvider labelProvider,
                               java.lang.Object object,
                               EClassifier eClassifier,
                               java.util.List<?> currentValues,
                               java.lang.String displayName,
                               java.util.List<?> choiceOfValues)

### FeatureEditorDialog

    public FeatureEditorDialog(Shell parent,
                               ILabelProvider labelProvider,
                               EObject eObject,
                               EStructuralFeature eStructuralFeature,
                               java.lang.String displayName,
                               java.util.List<?> choiceOfValues)

Method Detail

### configureShell

    protected void configureShell(Shell shell)

  Overrides:
    `configureShell` in class `Window`

### createDialogArea

    protected Control createDialogArea(Composite parent)

  Overrides:
    `createDialogArea` in class `Dialog`

### okPressed

    protected void okPressed()

  Overrides:
    `okPressed` in class `Dialog`

### close

    public boolean close()

  Overrides:
    `close` in class `Dialog`

### getResult

    public EList<?> getResult()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.